<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <com.develop.food.base.widgets.TopTitleView
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <ImageView
        android:id="@+id/iv_logo"
        android:layout_width="@dimen/convert_400px"
        android:layout_height="@dimen/convert_400px"
        android:layout_below="@id/top_bar"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/convert_140px"
        android:background="@color/color_F4A12E" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_app_name"
        android:text="Product Name"
        android:textSize="@dimen/convert_54px"
         android:textColor="@color/title_color"
        android:layout_marginTop="@dimen/convert_135px"
        android:layout_centerHorizontal="true"
        android:layout_below="@id/iv_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <LinearLayout
        android:id="@+id/update_recipes"
        android:layout_width="@dimen/convert_633px"
        android:layout_height="@dimen/convert_120px"
        android:layout_below="@id/tv_app_name"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/convert_116px"
        android:background="@drawable/shape_60px92cf40_stoke"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_download"
            android:layout_width="@dimen/convert_48px"
            android:layout_height="@dimen/convert_63px"
            android:layout_marginStart="@dimen/convert_70px"
            android:background="@drawable/ic_download_recipes" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/convert_50px"
            android:text="@string/update_the_recipes"
            android:textColor="@color/update_recipes_color"
            android:textSize="@dimen/convert_48px" />
    </LinearLayout>

    <LinearLayout
        android:background="@drawable/shape_15pxe5e5e5_stroke"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/update_recipes"
        android:layout_marginStart="@dimen/convert_45px"
        android:layout_marginTop="@dimen/convert_122px"
        android:layout_marginEnd="@dimen/convert_45px"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/update_apk_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_120px"
           >

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_apk"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/convert_43px"
                android:text="@string/apk"
                 android:textColor="@color/title_color"
                android:textSize="@dimen/convert_45px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_app_version"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="@dimen/convert_33px"
                android:text="v2.1.2"
                android:layout_centerVertical="true"
                android:textColor="@color/about_info_color"
                android:textSize="@dimen/convert_39px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:textColor="@color/color_CCF4A12E"
                android:gravity="center"
                android:text="@string/update"
                android:visibility="invisible"
                android:id="@+id/tv_update"
                android:background="@drawable/shape_60pxccff4a12e_stroke"
                android:layout_marginEnd="@dimen/convert_30px"
                android:layout_width="@dimen/convert_213px"
                android:layout_height="@dimen/convert_78px"
                android:layout_centerVertical="true"
                android:layout_toStartOf="@id/tv_app_version" />
        </RelativeLayout>
        
        <View
            android:background="@color/color_E5E5E5"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_2px" />
        <RelativeLayout
            android:id="@+id/mcu_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_120px"
            >

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_mcu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/convert_43px"
                android:text="@string/mcu"
                android:layout_centerVertical="true"
                 android:textColor="@color/title_color"
                android:textSize="@dimen/convert_45px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tvMcuVersion"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="@dimen/convert_33px"
                android:text="1.0.0"
                android:layout_centerVertical="true"
                android:textColor="@color/about_info_color"
                android:textSize="@dimen/convert_39px" />
        </RelativeLayout>
        <View
            android:background="@color/color_E5E5E5"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_2px" />
        <RelativeLayout
            android:id="@+id/tp_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_120px"
            >

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/convert_43px"
                android:text="@string/tp"
                android:layout_centerVertical="true"
                 android:textColor="@color/title_color"
                android:textSize="@dimen/convert_45px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:id="@+id/tv_tp_version"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="@dimen/convert_33px"
                android:text="1.0.0"
                android:layout_centerVertical="true"
                android:textColor="@color/about_info_color"
                android:textSize="@dimen/convert_39px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:textColor="@color/color_CCF4A12E"
                android:gravity="center"
                android:text="@string/update"
                android:visibility="invisible"
                android:id="@+id/tv_update_firmware"
                android:background="@drawable/shape_60pxccff4a12e_stroke"
                android:layout_marginEnd="@dimen/convert_30px"
                android:layout_width="@dimen/convert_213px"
                android:layout_height="@dimen/convert_78px"
                android:layout_centerVertical="true"
                android:layout_toStartOf="@id/tv_tp_version" />

        </RelativeLayout>
        <View
            android:background="@color/color_E5E5E5"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_2px" />
        <RelativeLayout
            android:id="@+id/serial_number_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_120px"
       >

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_sn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/convert_43px"
                android:text="@string/serial_number"
                 android:textColor="@color/title_color"
                android:textSize="@dimen/convert_45px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/dev_sn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="@dimen/convert_33px"
                android:text="00000000000000"
                android:textColor="@color/about_info_color"
                android:textSize="@dimen/convert_39px" />
        </RelativeLayout>
        <View
            android:background="@color/color_E5E5E5"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_2px" />
        <RelativeLayout
            android:id="@+id/time_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/convert_120px"
            >

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_model"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/convert_43px"
                android:text="@string/standby_time"
                 android:textColor="@color/title_color"
                android:layout_centerVertical="true"
                android:textSize="@dimen/convert_45px" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="@dimen/convert_33px"
                android:text="3015"
                android:textColor="@color/about_info_color"
                android:textSize="@dimen/convert_39px" />
        </RelativeLayout>


    </LinearLayout>
</RelativeLayout>